/**
 * @file RunCommand.h
 * @date 2010/02/20 新規作成
 * @author
 *
 * コマンド実行クラス
 */
#ifndef _RUN_COMMAND_H_
#define _RUN_COMMAND_H_

#include <string>
#include "NandlogicalString.h"
#include "MkimageString.h"
#include "ManageThread.h"
#include "CommandThreadStruct.h"

class RunCommand{
public :
	/*! デフォルトコンストラクタ */
	RunCommand();
	ManageThread&		getManageThread();
#ifdef TEST
	NandlogicalString&	getNandlogicalString();
	MkimageString&		getMkimageString();
#endif
	ReturnValue			runCommand(std::string directory);
private :
	ManageThread		m_ManageThread;
	NandlogicalString	m_NandlogicalString;
	MkimageString		m_MkimageString;
};
#endif /* _MAKE_IMAGE_THREAD_H_ */
