/**
 * @file NandlogicalString.cpp
 * @date 2010/03/07 新規作成
 * @author
 *
 * nandlogicalコマンド文字列作成クラス
 */

#ifndef _NANDLOGICAL_STRING_H_
#define _NANDLOGICAL_STRING_H_

#include <string>
#include "CheckProduct.h"
#include "NandlogicalString.h"

class NandlogicalString{
public :
	/*! デフォルトコンストラクタ */
	NandlogicalString();
#ifdef TEST
	ReturnValue		setFilename(std::string filename);
#endif
	ReturnValue		factory(std::string& command_string);
private :
	std::string		m_FirstHalf;
	std::string		m_LastHalf;
	std::string		m_Filename;
	CheckProduct	m_CheckProduct;
};
#endif /* _NANDLOGICAL_STRING_H_ */
