/**
 * @file Test4.h
 * @date 2010/02/24 新規作成
 * @author
 *
 * Test4クラス
 */

#include <assert.h>
#include <cstdlib>
#include <iostream>
#include "Define.h"
#include "Test4.h"

/**
 * デフォルトコンストラクタ
 */
Test4::Test4(){
}

/**
 * test関数
 */
ReturnValue Test4::run()
{
	test1();
	test2();
	test3();
	return OK;
}

ReturnValue Test4::test1()
{
	QRect parent(0, 0, 640, 480);
	assert(m_CalculateRect.calculateHorizon(100, QRect(0, 0, 120, 20), parent).left() == 521);
	assert(m_CalculateRect.calculateHorizon(100, QRect(0, 0, 120, 20), parent).top() == 0);
	assert(m_CalculateRect.calculateHorizon(100, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateHorizon(100, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateHorizon(90, QRect(0, 0, 120, 20), parent).left() == 468);
	assert(m_CalculateRect.calculateHorizon(90, QRect(0, 0, 120, 20), parent).top() == 0);
	assert(m_CalculateRect.calculateHorizon(90, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateHorizon(90, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateHorizon(80, QRect(0, 0, 120, 20), parent).left() == 416);
	assert(m_CalculateRect.calculateHorizon(80, QRect(0, 0, 120, 20), parent).top() == 0);
	assert(m_CalculateRect.calculateHorizon(80, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateHorizon(80, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateHorizon(70, QRect(0, 0, 120, 20), parent).left() == 364);
	assert(m_CalculateRect.calculateHorizon(70, QRect(0, 0, 120, 20), parent).top() == 0);
	assert(m_CalculateRect.calculateHorizon(70, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateHorizon(70, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateHorizon(60, QRect(0, 0, 120, 20), parent).left() == 312);
	assert(m_CalculateRect.calculateHorizon(60, QRect(0, 0, 120, 20), parent).top() == 0);
	assert(m_CalculateRect.calculateHorizon(60, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateHorizon(60, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateHorizon(50, QRect(0, 0, 120, 20), parent).left() == 260);
	assert(m_CalculateRect.calculateHorizon(50, QRect(0, 0, 120, 20), parent).top() == 0);
	assert(m_CalculateRect.calculateHorizon(50, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateHorizon(50, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateHorizon(40, QRect(0, 0, 120, 20), parent).left() == 208);
	assert(m_CalculateRect.calculateHorizon(40, QRect(0, 0, 120, 20), parent).top() == 0);
	assert(m_CalculateRect.calculateHorizon(40, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateHorizon(40, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateHorizon(30, QRect(0, 0, 120, 20), parent).left() == 156);
	assert(m_CalculateRect.calculateHorizon(30, QRect(0, 0, 120, 20), parent).top() == 0);
	assert(m_CalculateRect.calculateHorizon(30, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateHorizon(30, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateHorizon(20, QRect(0, 0, 120, 20), parent).left() == 104);
	assert(m_CalculateRect.calculateHorizon(20, QRect(0, 0, 120, 20), parent).top() == 0);
	assert(m_CalculateRect.calculateHorizon(20, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateHorizon(20, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateHorizon(10, QRect(0, 0, 120, 20), parent).left() == 52);
	assert(m_CalculateRect.calculateHorizon(10, QRect(0, 0, 120, 20), parent).top() == 0);
	assert(m_CalculateRect.calculateHorizon(10, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateHorizon(10, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateHorizon(0, QRect(0, 0, 120, 20), parent).left() == 0);
	assert(m_CalculateRect.calculateHorizon(0, QRect(0, 0, 120, 20), parent).top() == 0);
	assert(m_CalculateRect.calculateHorizon(0, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateHorizon(0, QRect(0, 0, 120, 20), parent).height() == 20);

	return OK;
}

ReturnValue Test4::test2()
{
	QRect parent(0, 0, 640, 480);
	assert(m_CalculateRect.calculateVertical(100, QRect(0, 0, 120, 20), parent).left() == 0);
	assert(m_CalculateRect.calculateVertical(100, QRect(0, 0, 120, 20), parent).top() == 461);
	assert(m_CalculateRect.calculateVertical(100, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateVertical(100, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateVertical(90, QRect(0, 0, 120, 20), parent).left() == 0);
	assert(m_CalculateRect.calculateVertical(90, QRect(0, 0, 120, 20), parent).top() == 414);
	assert(m_CalculateRect.calculateVertical(90, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateVertical(90, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateVertical(80, QRect(0, 0, 120, 20), parent).left() == 0);
	assert(m_CalculateRect.calculateVertical(80, QRect(0, 0, 120, 20), parent).top() == 368);
	assert(m_CalculateRect.calculateVertical(80, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateVertical(80, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateVertical(70, QRect(0, 0, 120, 20), parent).left() == 0);
	assert(m_CalculateRect.calculateVertical(70, QRect(0, 0, 120, 20), parent).top() == 322);
	assert(m_CalculateRect.calculateVertical(70, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateVertical(70, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateVertical(60, QRect(0, 0, 120, 20), parent).left() == 0);
	assert(m_CalculateRect.calculateVertical(60, QRect(0, 0, 120, 20), parent).top() == 276);
	assert(m_CalculateRect.calculateVertical(60, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateVertical(60, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateVertical(50, QRect(0, 0, 120, 20), parent).left() == 0);
	assert(m_CalculateRect.calculateVertical(50, QRect(0, 0, 120, 20), parent).top() == 230);
	assert(m_CalculateRect.calculateVertical(50, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateVertical(50, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateVertical(40, QRect(0, 0, 120, 20), parent).left() == 0);
	assert(m_CalculateRect.calculateVertical(40, QRect(0, 0, 120, 20), parent).top() == 184);
	assert(m_CalculateRect.calculateVertical(40, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateVertical(40, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateVertical(30, QRect(0, 0, 120, 20), parent).left() == 0);
	assert(m_CalculateRect.calculateVertical(30, QRect(0, 0, 120, 20), parent).top() == 138);
	assert(m_CalculateRect.calculateVertical(30, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateVertical(30, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateVertical(20, QRect(0, 0, 120, 20), parent).left() == 0);
	assert(m_CalculateRect.calculateVertical(20, QRect(0, 0, 120, 20), parent).top() == 92);
	assert(m_CalculateRect.calculateVertical(20, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateVertical(20, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateVertical(10, QRect(0, 0, 120, 20), parent).left() == 0);
	assert(m_CalculateRect.calculateVertical(10, QRect(0, 0, 120, 20), parent).top() == 46);
	assert(m_CalculateRect.calculateVertical(10, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateVertical(10, QRect(0, 0, 120, 20), parent).height() == 20);

	assert(m_CalculateRect.calculateVertical(0, QRect(0, 0, 120, 20), parent).left() == 0);
	assert(m_CalculateRect.calculateVertical(0, QRect(0, 0, 120, 20), parent).top() == 0);
	assert(m_CalculateRect.calculateVertical(0, QRect(0, 0, 120, 20), parent).width() == 120);
	assert(m_CalculateRect.calculateVertical(0, QRect(0, 0, 120, 20), parent).height() == 20);

	return OK;
}

ReturnValue Test4::test3()
{
	QRect parent(0, 0, 480, 640);
	assert(m_CalculateRect.calculateHorizon(100, QRect(0, 0, 120, 20), parent).left() == 361);
	
	return OK;
}
